---
- name: Verify
  hosts: all
  tasks:

  - name: Test if tools can be started
    command: "{{ item }}"
    loop:
      - kubectl
      - "{{ lookup('env','HOME') }}/bin/rancher"
      - "{{ lookup('env','HOME') }}/bin/kubeseal --version"
      - "{{ lookup('env','HOME') }}/bin/argocd"
      - "{{ lookup('env','HOME') }}/bin/kustomize"

  - name: Test if helm can be started
    command: "{{ lookup('env','HOME') }}/bin/helm"
    when: ansible_os_family | lower == "redhat"
    changed_when: false

  - name: Test if helms can be started
    command: helm
    when: ansible_os_family | lower == "debian"
    changed_when: false

# no need for assertions, any return code other than 0
# will cause the test to fail
